Subject: Re: bug#64024: 29.0.91; `emoji-insert` shows me confusing empty lists

From: Gregory Heytings <[email-masked]>
Date: Wed, 14 Jun 2023 21:36:59 +0000

>> % src/emacs -Q
>> M-x emoji-insert RET
>> s s
>>
>> I expect at this point to see a list of "smiling Smiley" emojis 
>> displayed in the small bottom window, but instead that window is empty 
>> (there's just a one-pixel-thick line about one-char wide at the very 
>> top-left) and it sits there.
>
> I cannot reproduce this, neither in the 29.0.91 pretest nor in the 
> current emacs-29 branch.  I get the behavior you expected: a small 
> window at the bottom of the frame showing some smileys.
>

FWIW, I can easily reproduce this by removing the fonts-noto-color-emoji 
package.

Perhaps the emoji-* commands (C-x 8 e [eilrs]) should simply error out 
when (list-fonts (font-spec :script 'emoji)) is nil?